API ドキュメント
get
/api/v1/Trade/ordersReturns working or historical orders for a trading account owned by the caller.
Trade
パラメータ
accountId
query · integer
必須
activeOnly
query · boolean
オプション
from
query · string
オプション
to
query · string
オプション
version
path · string
必須
反応
- 200Array of orders. Status values: NotSent, PendingNew, New, Rejected, PartiallyFilled, Filled, PendingCancel, Cancelled, Expired, PendingReplace, Replaced, Invalidated.application/json
[ { "orderId": 1001, "symbol": "EURUSD", "side": "Buy", "orderType": "Limit", "status": "New", "quantity": 10000, "cumQuantity": 0, "leavesQuantity": 10000, "price": 1.085, "stopPrice": 0, "avgPrice": 0, "accountName": "Main", "text": "" } ] - 400Validation failed (missing dates for history, invalid account).application/json
{ "status": "rejected", "message": "Validation failed." } - 401Not authenticated.
- 403Caller lacks Trading claim or account is not owned by the caller.application/json
{}